<?php
/**
 * @package    JDiDEAL
 *
 * @author     Roland Dalmulder <contact@rolandd.com>
 * @copyright  Copyright (C) 2009 - 2023 RolandD Cyber Produksi. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @link       https://rolandd.com
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;

defined('_JEXEC') or die;

/**
 * Trigger on page load for the configuration.
 *
 * @package  JDiDEAL
 * @since    4.0
 */
class plgSystemJdidealjoomdonation extends CMSPlugin
{
	/**
	 * Load the application
	 *
	 * @var    JApplicationAdministrator
	 * @since  4.0
	 */
	protected $app;

	/**
	 * Catch a trigger to load the language files.
	 *
	 * @return  void.
	 *
	 * @since   4.0
	 */
	public function onAfterInitialise()
	{
		if ($this->app->isClient('administrator') && $this->app->input->getCmd('option') === 'com_joomdonation')
		{
			$language = Factory::getLanguage();
			$language->load('plg_system_jdidealjoomdonation', JPATH_SITE . '/plugins/system/jdidealjoomdonation');
		}
	}
}
